# License

This package uses several different models and implementations, which means several different licenses are incorporated into this software.

## TTSKit

TTSKit itself (this package) and all code is licensed under the NOSCL-C-2.0 license, a permissive copyleft license. Several subpackages are licensed under different terms, and there are several exceptions. These are listed below.

All modifications made to packages are also licensed under the NOSCL-C-2.0 license.

Below is a copy of the NOSCL-C-2.0 license:

> **NEW OPEN-SOURCE "COPYLEFT" LICENSE, COMMERCIAL EDT, VERSION 2.0 (NOSCL-C-2.0)**
> 
> Copyright (c) 2023, mrfakename. All rights reserved.
> 
> Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
> 
> 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
> 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
> 3. All advertising materials mentioning features or use of this software must display the following acknowledgement: This product includes software developed by mrfakename and the TTSKit Contributors.
> 4. Neither the name of the mrfakename nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
> 5. You shall not engage in any activities, including but not limited to decompiling, reverse engineering, disassembling, or otherwise attempting to derive the source code from the provided binary distributions, except to the extent expressly permitted by applicable law.
> 6. Any redistributions, whether in source code or binary form, must include a copy of the original license terms, and the redistributed software must be subject to the same terms and conditions as set forth in this license.
> 7. Any changes, modifications, or enhancements made to the source code, whether by the original licensee or any subsequent distributor or contributor, must be made available under the same open source license as this software and must also be open-sourced. Additionally, any redistributed code containing such changes or modifications must include clear and prominent attribution to the original authors and contributors of the software, as specified in the original copyright notice and license.
> 8. You may link or incorporate the software covered by this license into your own software, regardless of the license of your own software. When you do so, your software is not required to be subject to the same terms and conditions as set forth in this license. However, you must clearly and prominently inform users that your software includes software developed by mrfakename and the TTSKit Contributors, and you must provide a copy of the original license terms of the linked or incorporated software.
> 9. This software may be used for commercial purposes.
> 10. The licensor reserves the right to revoke this license at their discretion and without prior notice. The license automatically revokes if you violate any of its terms and conditions.
> 
> By submitting code, issues, suggestions, or ideas ("Contributions") to this open source project, you hereby grant the author(s) of this software an irrevocable, worldwide, royalty-free license to use, reproduce, modify, sublicense, relicense, and distribute your Contributions for any purpose, including commercial purposes, under the terms of the open source license governing this project. You also acknowledge that the author(s) reserve the right to unilaterally change the project's license terms, and you agree that such changes will apply to your Contributions without the need for additional consent or notification. You further represent that you have the legal right to grant this license.
> 
> THIS SOFTWARE IS PROVIDED BY mrfakename and Contributors AS IS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL mrfakename and Contributions BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
> 
> THIS LICENSE MAY NOT BE USED FOR ANY OTHER PROGRAM OR SOFTWARE WITHOUT PRIOR WRITTEN PERMISSION FROM THE NOSCL-C-2.0 AUTHORS.

## TTSKit Additional Utilities and Documentation

Unless otherwise stated, all TTSKit documentation and TTSKit Additional Utilities are licensed under the NOSCL-NC-2.0 license. If you would like to use these components for commercial purposes, please contact us.

> NEW OPEN-SOURCE "COPYLEFT" LICENSE, NON-COMMERCIAL EDT, VERSION 2.0 (NOSCL-NC-2.0)
> 
> Copyright (c) 2023, mrfakename and TTSKit Documentation Contributors. All rights reserved.
> 
> Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
> 
> 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
> 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
> 3. All advertising materials mentioning features or use of this software must display the following acknowledgement: This product includes software developed by mrfakename and the TTSKit Documentation Contributors.
> 4. Neither the name of the mrfakename nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
> 5. You shall not engage in any activities, including but not limited to decompiling, reverse engineering, disassembling, or otherwise attempting to derive the source code from the provided binary distributions, except to the extent expressly permitted by applicable law.
> 6. Any redistributions, whether in source code or binary form, must include a copy of the original license terms, and the redistributed software must be subject to the same terms and conditions as set forth in this license.
> 7. Any changes, modifications, or enhancements made to the source code, whether by the original licensee or any subsequent distributor or contributor, must be made available under the same open source license as this software and must also be open-sourced. Additionally, any redistributed code containing such changes or modifications must include clear and prominent attribution to the original authors and contributors of the software, as specified in the original copyright notice and license.
> 8. You may link or incorporate the software covered by this license into your own software, regardless of the license of your own software. When you do so, your software is not required to be subject to the same terms and conditions as set forth in this license. However, you must clearly and prominently inform users that your software includes software developed by mrfakename and the TTSKit Documentation Contributors, and you must provide a copy of the original license terms of the linked or incorporated software.
> 9. This software may be used for non-commercial purposes only. This means that no revenue may be generated through or in relation to this license. This includes that all linked software must be non-commercial as well. This also means that no donations, tips, or other income of any sort may be generated directly or indirectly through this software.
> 10. The licensor reserves the right to revoke this license at their discretion and without prior notice. The license automatically revokes if you violate any of its terms and conditions.
> 
> By submitting code, issues, suggestions, or ideas ("Contributions") to this open source project, you hereby grant the author(s) of this software an irrevocable, worldwide, royalty-free license to use, reproduce, modify, sublicense, relicense, and distribute your Contributions for any purpose, including commercial purposes, under the terms of the open source license governing this project. You also acknowledge that the author(s) reserve the right to unilaterally change the project's license terms, and you agree that such changes will apply to your Contributions without the need for additional consent or notification. You further represent that you have the legal right to grant this license.
> 
> THIS SOFTWARE IS PROVIDED BY mrfakename AND Contributors AS IS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL mrfakename BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
> 
> THIS LICENSE MAY NOT BE USED FOR ANY OTHER PROGRAM OR SOFTWARE WITHOUT PRIOR WRITTEN PERMISSION FROM THE NOSCL-NC-2.0 AUTHORS.

## [TransformerTTS](https://github.com/as-ideas/TransformerTTS)

TransformerTTS by Axel Springer AI is licensed under the MIT license. All modifications are licensed under the NOSCL-C-2.0 license, available above.

> Copyright (c) 2020 Axel Springer AI. All rights reserved.
> 
> Changes copyright (c) 2023 mrfakename and TTSKit Contributors. All rights reserved.
> 
> **The MIT License (MIT)**
> 
> Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
> 
> The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
> 
> THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

---

Unless otherwise stated, all other components of the software are licensed under the NOSCL-C-2.0 license, available above.